html {
	word-break: break-word;
	-webkit-text-size-adjust: none;
	font-variant-ligatures: none;
}

html.fixed, html.fixed > body {
	position: fixed;
	top:0; left:0; right:0; bottom:0;
	background: var(--T-bg, white);
}

html, select {
	font: var(--T-font);
}

.Row, .Col {
	display: flex;
}
.Col {
	flex-direction: column;
}

.Col > *, .Row > * {
	flex-shrink: 0;
}
.Col > .limit, .Row > .limit {
	flex-shrink: 1;
	min-height: 0;
}
.Col > .fill, .Row > .fill {
	flex-grow: 1;
	flex-shrink: 1;
	min-height: 0;
	flex-basis: 0;
}

.Split {
	display: flex;
}
.Split > * {
	width: 50%;
}

table.data, table.data td, table.data th {
	color: black;
	background: white;
	border: 1px solid currentColor;
	border-spacing: 0;
}
table.data td, table.data th {
	padding: 2px 5px;
	word-break: normal; overflow-wrap: break-word;
}
table.data td {
	color: black;
	background: white;
}
table.data th {
	font-weight: bold;
	color: white;
	background: black;
}
table-overflow {
	overflow-x: auto;
	background: #222;
	color: #FFF;
}

@media all and (max-width: 550px) {
	.Split {
		flex-direction: column-reverse;
		justify-content: left;
	}
	.Split > * {
		width: unset;
	}
}

/* ios safari... */
@supports (-webkit-touch-callout: none) {
	textarea, input, select {
		font-size: 16px !important;
	}
}
